> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Auto-Response Setting



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/profiles.yml delete /messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id}
openapi: 3.1.0
info:
  title: Telnyx Messaging Profiles API
  version: 2.0.0
  description: API for messaging profiles and auto-response configurations.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id}:
    delete:
      tags:
        - Opt-Out Management
      summary: Delete Auto-Response Setting
      operationId: DeleteAutorespConfig
      parameters:
        - required: true
          schema:
            title: Profile Id
            type: string
            format: uuid
          name: profile_id
          in: path
        - required: true
          schema:
            title: Autoresp Cfg Id
            type: string
            format: uuid
          name: autoresp_cfg_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: string
                example: OK
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const autorespConfig = await
            client.messagingProfiles.autorespConfigs.delete(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
            );


            console.log(autorespConfig);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            autoresp_config = client.messaging_profiles.autoresp_configs.delete(
                autoresp_cfg_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(autoresp_config)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tautorespConfig, err := client.MessagingProfiles.AutorespConfigs.Delete(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.MessagingProfileAutorespConfigDeleteParams{\n\t\t\tProfileID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", autorespConfig)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AutorespConfigDeleteParams params = AutorespConfigDeleteParams.builder()
                        .profileId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .autorespCfgId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .build();
                    String autorespConfig = client.messagingProfiles().autorespConfigs().delete(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            autoresp_config = telnyx.messaging_profiles.autoresp_configs.delete(
              "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              profile_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            )

            puts(autoresp_config)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $autorespConfig = $client->messagingProfiles->autorespConfigs->delete(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              );

              var_dump($autorespConfig);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-profiles:autoresp-configs delete \
              --api-key 'My API Key' \
              --profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --autoresp-cfg-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  responses:
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  schemas:
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````